ecu.h File Reference
`#include <stdint.h>`
`#include <stdbool.h>`
`#include <osmocom/codec/codec.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_ecu_fr_state

## Functions

void | osmo_ecu_fr_reset (struct osmo_ecu_fr_state *state, uint8_t *frame)
| To be called when a good frame is received. More...
int | osmo_ecu_fr_conceal (struct osmo_ecu_fr_state *state, uint8_t *frame)
| To be called when a bad frame is received. More...

## Function Documentation

## osmo_ecu_fr_conceal()

int osmo_ecu_fr_conceal | ( | struct osmo_ecu_fr_state * | state,
|  | uint8_t * | frame
| ) |  |

To be called when a bad frame is received.

This function will then generate a replacement frame that can be used to conceal the dropout.

References conceal_frame(), osmo_ecu_fr_state::frame_backup, GSM_FR_BYTES, and osmo_ecu_fr_state::subsequent_lost_frame.

## osmo_ecu_fr_reset()

void osmo_ecu_fr_reset | ( | struct osmo_ecu_fr_state * | state,
|  | uint8_t * | frame
| ) |  |

To be called when a good frame is received.

This function will then create a backup of the frame and reset the internal state.

References osmo_ecu_fr_state::frame_backup, GSM_FR_BYTES, and osmo_ecu_fr_state::subsequent_lost_frame.